# PrivateBin in docker

## docker-compose.yml example

This will automatically populate the data under the /srv/data/privatebin/html and /srv/data/privatebin/nginx directories.

Make sure to create these directories first.

```
version: '3.3'

services:
  privatebin-fpm:
    image: yourrepo/privatebin:1.3.4
    restart: always
    networks:
      - backend
    volumes:
      - privatebin_html:/var/www
      - privatebin_nginx:/etc/nginx/conf.d

  privatebin-nginx:
    image: nginx:mainline-alpine
    restart: always
    networks:
      - backend
    volumes:
      - privatebin_html:/var/www
      - privatebin_nginx:/etc/nginx/conf.d
      - /srv/data/privatebin/data:/srv/data
    depends_on:
      - privatebin-fpm
    # add whatever lables/directives you need to expose your nginx container

volumes:
  privatebin_html:
    driver: local
    driver_opts:
      type: none
      device: /srv/data/privatebin/html
      o: bind

  privatebin_nginx:
    driver: local
    driver_opts:
      type: none
      device: /srv/data/privatebin/nginx
      o: bind
```

## updating the image

Update and reset the containers

```
docker-compose stop privatebin-fpm privatebin-nginx
docker-compose rm -f privatebin-fpm privatebin-nginx
docker volume rm srv_privatebin_html srv_privatebin_nginx
rm -rf /srv/data/privatebin/{html,nginx}
mkdir -p /srv/data/privatebin/{html,nginx}
docker pull yourrepo/privatebin:1.3.4
docker-compose up -d
```
